Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Block auflösen im script

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Block auflösen im script (172 mal gelesen)
BBecker
Mitglied



Sehen Sie sich das Profil von BBecker an!   Senden Sie eine Private Message an BBecker  Schreiben Sie einen Gästebucheintrag für BBecker

Beiträge: 133
Registriert: 05.06.2002

Windows 7, Acad 2012
MEP

erstellt am: 12. Sep. 2006 15:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
leider kann ich nicht lispeln. Daher meine Frage, ob es möglich ist einen benannten Block in der Zeichnung aufzulösen (keine Benutzereingabe) und das in einem Script einzubauen? Das Script läuft dann weiter und setzt alle Linientypfaktoren auf 1,0. Das geht nur, wenn der Block aufgelöst ist.
Gruß Beate

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BBecker
Mitglied



Sehen Sie sich das Profil von BBecker an!   Senden Sie eine Private Message an BBecker  Schreiben Sie einen Gästebucheintrag für BBecker

Beiträge: 133
Registriert: 05.06.2002

Windows 7, Acad 2012
MEP

erstellt am: 12. Sep. 2006 17:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich habe im Lisp-Forum eine Routine gefunden, die genau das macht, was ich möchte. Doch leider wiederholt sie sich, sodaß mein Script dann nicht mehr weiterläuft.
Hier was ich gefunden habe:
(setq auswahl (ssget "X" (list (cons 0 "INSERT")(cons 2 "pb-gr-raster_neu"))))
(repeat(sslength AUSWAHL) 
  (command "_explode" (setq OBJ(ssname AUSWAHL 0)) "")
  (ssdel OBJ AUSWAHL)
)

Vielleicht wisst Ihr wie die Wiederholung abgestellt werden kann.
Vielen Dank und Gruß
Beate

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 12. Sep. 2006 22:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BBecker 10 Unities + Antwort hilfreich

Hi,

ohne den Code getestet zu haben bin ich der Meinung, dass er eher in einer Lisp-Funktion verwendet werden sollte als in einem Skript.
Schon die Lesbarkeit des Skripts leidet doch gewaltig für No-Lisplers, wenn man Code einbaut, der sich über mehrere Zeilen erstreckt.

Ich würde vorschlagen, so wenig Lisp wie möglich aber so viel wie nötig zu verwenden:

Code:
(setq ss (ssget "_X" '((0 . "INSERT")(2 . "DEINBLOCKNAME"))))
_explode
!ss
ltscale
1


Obacht, wie bei dem von dir gefunden Lisp-Code findet auch hier keine Prüfung statt, ob der Block wirklich eingefügt wurde!


Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Arbeitsvorbereitung - Bauingenieur/Bauingenieurin (m/w/d) in der Prozessplanung
Weil Erfolg nur im Miteinander entstehen kann.

Die Ed. Züblin AG gehört zum Konzern der STRABAG SE. Zusammen sind wir ein europäischer Technologiekonzern für Baudienstleistungen und erstellen jährlich tausende Bauwerke weltweit, indem wir die richtigen Menschen, Baumaterialien und Maschinen zur richtigen Zeit am richtigen Ort versammeln. Ohne Teamarbeit ? über geografische Grenzen und Bereiche hinweg ? wäre dies nicht möglich....
Anzeige ansehenBauwesen
BBecker
Mitglied



Sehen Sie sich das Profil von BBecker an!   Senden Sie eine Private Message an BBecker  Schreiben Sie einen Gästebucheintrag für BBecker

Beiträge: 133
Registriert: 05.06.2002

Windows 7, Acad 2012
MEP

erstellt am: 13. Sep. 2006 09:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CADchup,
vielen Dank für den Code. Läuft super!
Was ich nicht wußte ist, dass die Lispzeilen auch in einem Script abgearbeitet werden können. Ich dachte es läuft nur mit dem LOAD Aufruf und Angabe der DAtei im Script. Nun bin ich schlauer!
DAnke und Gruß
Beate

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz